6 months, 2 weeks ago.

"Additional properties are not allowed ('requires' was unexpected)" when trying to build mbed_blinky

I acquired the mbed OS by using "add libraries" and https://github.com/ARMmbed/mbed-os. The project will not build on my FRDM-K66F because of this error which comes from multiple mbed_lib.json files. I've begun removing folders which include features that I don't need but there are a good number of these files. It sounds like it might be a Clang issue,

Question relating to:

Clicking on the gear icon (under build profile) and switching to "Mbed OS tools from active program" fixes the problem. Be nice to know what the "Bundled tools" are and why it doesn't work.

posted by E Flam 05 Apr 2019
Comment on this question
Be the first to answer this question.

You need to log in to post a question